Bug 595552 - [abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
[abrt] crash in thunderbird-3.0.4-2.fc12: Process /usr/lib64/thunderbird-3.0/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:0d8bc3bd94e36bd5033f52aa15c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 19:28 EDT by Rick Sewill
Modified: 2010-12-03 09:24 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:24:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (72.08 KB, text/plain)
2010-05-24 19:28 EDT, Rick Sewill
no flags Details

  None (edit)
Description Rick Sewill 2010-05-24 19:28:42 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/thunderbird-3.0/thunderbird-bin
component: thunderbird
executable: /usr/lib64/thunderbird-3.0/thunderbird-bin
global_uuid: 0d8bc3bd94e36bd5033f52aa15cd4af5f3189fa4
kernel: 2.6.32.12-115.fc12.x86_64
package: thunderbird-3.0.4-2.fc12
rating: 4
reason: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
I do not know the cause of the segment fault.  I discovered it would not segment fault if I down my ethernet, ifdown eth0.
I discovered it would not segment fault if I changed the server name for the IMAP service for mail for aol.com.

With an incorrect imap service name, imap.aol.comx, thunderbird comes up, but obviously cannot access imap.aol.com.
This segment fault occurs when I use the correct service name, imap.aol.com, and thunderbird comes up.

I tried to recreate my mail.aol.com account...from the menu Edit/Account Settings, I removed my aol.com account,
and readded it.  Edit/Account Settings found the aol.com imap and smtp service--thunderbird again segment fault when I used the correct server name, imap.aol.com, but did not segment fault when I disabled imap service to aol.com (by changing the server name to imap.aol.comx).

I suspect two problems.
I suspect aol.com is doing something in the imap service they should not.
I suspect thunderbird is not happening the resulting behavior of imap.aol.com.

I expect imap.aol.com will fix whatever their problem is hiding the thunderbird problem.

Of course, this is all speculation on my part, and I am probably very wrong as to what is actually happening,
but this is the best guess I can give of what I think is happening.

How to reproduce
-----
1. Have an aol.com mail account defined
2. Start thunderbird
3.
Comment 1 Rick Sewill 2010-05-24 19:28:46 EDT
Created attachment 416238 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 10:17:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 09:24:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.